[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TDataLink.ReadOnly

Is the link readonly

## Declaration

Source position: db.pas line 1728

`public property TDataLink.ReadOnly : Boolean read FReadOnly write SetReadOnly;`

## Description

ReadOnly can be set to True to indicate that the link is read-only, i.e. the connected control will not modify the dataset. Methods as TDatalink.Edit will check this property and fail if the link is read-only. This setting has no effect on the communication of dataset events to the datalink: the TDatalink.Active property can be used to disable delivey of events to the datalink.

## See also

TDatalink.Active |  | Is the link active
TDatalink.edit |  | Set the dataset in edit mode, if possible

Documentation generated on: Feb 26 2014